
package org.openstreetmap.josm.data.osm;

import java.awt.geom.Point2D;

import org.openstreetmap.josm.data.coor.LatLon;
import org.openstreetmap.josm.data.coor.QuadTiling;
import org.openstreetmap.josm.data.osm.QuadBuckets.BBox;

/**
 * One node data, consisting of one world coordinate waypoint.
 *
 * @author imi
 */
public final class Node extends OsmPrimitive {
    public final LatLon getCoor() {
        return coor;
    }

    private LatLon coor;
    public double x;
    public double y;
    public Node(LatLon coor)
    {
        this.coor = coor;
        this.x = coor.lon();
        this.y = coor.lat();
    }
    public Node(double x, double y)
    {
        this.coor = new LatLon(y, x);
        this.x = coor.lon();
        this.y = coor.lat();
    }
    public double distance(Point2D p)
    {
        return p.distance(this.x, this.y);
        //return n.coor.greatCircleDistance(this.coor);
    }
    public double distance(Node n)
    {
        Point2D p = new Point2D.Double(n.x, n.y);
        return this.distance(p);
        //return n.coor.greatCircleDistance(this.coor);
    }
    /*
    public long quadTile()
    {
        return QuadTiling.coorToTile(coor);
    }*/
    public String quads()
    {
        return "fixme";//Long.toHexString(this.quadTile());
    }
    public BBox getBBox()
    {
        return new BBox(this.coor, this.coor);
    }
}
