
package org.openstreetmap.josm.data.osm;

import java.awt.geom.Point2D;
import java.util.*;

import org.openstreetmap.josm.data.coor.LatLon;
import org.openstreetmap.josm.data.coor.QuadTiling;
import org.openstreetmap.josm.data.osm.QuadBuckets.BBox;

/**
 * One node data, consisting of one world coordinate waypoint.
 *
 * @author imi
 */
public final class Way extends OsmPrimitive
{
    private List<Node> nodes;
    public Way(List<Node> nodes)
    {
        this.nodes = new ArrayList(nodes);
    }
    public List<Node> getNodes()
    {
        return nodes;
    }
    BBox bbox = null;
    @Override
    public BBox getBBox() {
        if (bbox == null)
            bbox = new BBox(this);
        return bbox;
    }
}
